View Issue Details

IDProjectCategoryView StatusLast Update
0004749unrealinstallingpublic2016-09-29 19:13
ReporterohnobinkiAssigned Tosyzop 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.0.6 
Target VersionFixed in Version4.0.7 
Summary0004749: ./Config empty SSL prompt if Config.settings is set
Description```
What should the default permissions for your configuration files be? (Set this to 0 to disable)
It is strongly recommended that you use 0600 to prevent unwanted reading of the file
[0600] ->

[/usr] ->

Do you want to enable remote includes?
This allows stuff like this in your configuration file:
include "http://www.somesite.org/files/opers.conf";
[Yes] -> ^C
```
Steps To ReproduceRun ./Config once and set the SSL to something. Run it a second time and observe the improper behavior as shown in “Description”.
TagsNo tags attached.
3rd party modules

Activities

ohnobinki

2016-09-11 06:02

reporter   ~0019408

https://github.com/unrealircd/unrealircd/pull/61

syzop

2016-09-29 19:13

administrator   ~0019428

Silly indeed. Fixed now!

commit a7f98af6ed9f17436fae68774a8a8b2070a58bb7
Author: Bram Matthys <syzop@vulnscan.org>
Date: Thu Sep 29 19:11:31 2016 +0200

    ./Config may show an empty SSL prompt. Reported by ohnobinki (0004749).

https://github.com/unrealircd/unrealircd/commit/a7f98af6ed9f17436fae68774a8a8b2070a58bb7

Showing the preamble each time. I think it's OK for OS X too and saves us "sh" compatibility crap :)

Issue History

Date Modified Username Field Change
2016-09-11 05:59 ohnobinki New Issue
2016-09-11 06:02 ohnobinki Note Added: 0019408
2016-09-27 07:46 syzop Assigned To => syzop
2016-09-27 07:46 syzop Status new => has patch
2016-09-29 19:13 syzop Note Added: 0019428
2016-09-29 19:13 syzop Status has patch => resolved
2016-09-29 19:13 syzop Fixed in Version => 4.0.7
2016-09-29 19:13 syzop Resolution open => fixed